package edu.neu.daj.editors;

import org.eclipse.jface.text.rules.*;

public class XMLPartitionScanner extends RuleBasedPartitionScanner {
	public final static String CD_ABSTRACT = "__cd_abstract";
	public final static String CD_CONCRETE = "__cd_concrete";
	public final static String CD_LIST = "__cd_list";

	public XMLPartitionScanner() {

		IToken cdAbstract = new Token(CD_ABSTRACT);
		IToken cdConcrete = new Token(CD_CONCRETE);
		IToken cdList = new Token(CD_LIST);

		IPredicateRule[] rules = new IPredicateRule[3];

		rules[0] = new MultiLineRule("~", ".", cdList);
		rules[1] = new MultiLineRule("=", ".", cdConcrete);
		rules[2] = new MultiLineRule(":", ".", cdAbstract);

		setPredicateRules(rules);
	}
}
